List Endpoints
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/endpoints \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/endpoints"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoints": [
{
"id": "<string>",
"name": "<string>",
"appName": "<string>",
"state": {
"state": "<string>",
"error": "<string>",
"message": "<string>"
},
"url": "<string>",
"workerConfig": {
"minNum": 123,
"maxNum": 123,
"freeTimeout": "<string>",
"maxConcurrent": "<string>",
"gpuNum": 123,
"requestTimeout": 123,
"cudaVersion": "<string>"
},
"policy": {
"type": "<string>",
"value": "<string>"
},
"image": {
"image": "<string>",
"authId": "<string>",
"command": "<string>"
},
"rootfsSize": 123,
"volumeMounts": [
{
"type": "<string>",
"id": "<string>",
"size": 123,
"mountPath": "<string>"
}
],
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"ports": [
{
"port": "<string>"
}
],
"workers": [
{
"id": "<string>",
"state": {
"state": "<string>",
"error": "<string>",
"message": "<string>"
},
"log": "<string>",
"metrics": "<string>",
"healthy": true
}
],
"products": [
{
"id": "<string>"
}
],
"healthy": {
"path": "<string>",
"initialDelay": 123,
"period": 123,
"timeout": 123,
"successThreshold": 123,
"failureThreshold": 123
},
"clusterID": "<string>",
"log": "<string>"
}
],
"total": 123
}Serverless GPUs
List Endpoints
GET
/
gpu-instance
/
openapi
/
v1
/
endpoints
List Endpoints
Request Headers
string
requerido
Enum:
application/jsonstring
requerido
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
integer
requerido
Maximum number of items returned per page.
integer
requerido
Current page number.
Response
object[]
requerido
Endpoint information.
Ocultar properties
Ocultar properties
string
requerido
Endpoint ID.
string
requerido
Endpoint name.
string
requerido
Application name.
object
requerido
string
requerido
Endpoint URL. You can access your HTTP service via this URL.
object
requerido
Worker configuration for the endpoint.
object
requerido
Auto-scaling policy for the endpoint.
Ocultar properties
Ocultar properties
string
requerido
Policy type. Options:
queue: Queue latency policy, adjusts the number of workers based on the waiting time of requests in the queue.concurrency: Queue request policy, automatically adjusts the number of workers based on the number of requests in the queue.
string
requerido
The meaning of value depends on the type:
- If type = queue, value is the queue waiting time in seconds.
- If type = concurrency, value is the maximum number of requests in the queue.
object
requerido
integer
requerido
System disk size.
object[]
requerido
Storage configuration for the endpoint.
object[]
requerido
object[]
requerido
Worker information for the endpoint.
Ocultar properties
Ocultar properties
string
requerido
Worker ID.
object
requerido
string
requerido
Log path for the worker.
string
requerido
Monitoring information for the worker.
boolean
requerido
Whether the worker is healthy.
object
requerido
Health check configuration for the endpoint.
Ocultar properties
Ocultar properties
string
requerido
Path to be checked via HTTP request for health monitoring.
integer
requerido
Time to wait after startup before starting health checks, in seconds.
integer
requerido
Interval between health checks, in seconds.
integer
requerido
Timeout for health checks, in seconds.
integer
requerido
Number of consecutive successes required to consider the check successful after a previous failure.
integer
requerido
Number of consecutive failures required to consider the check failed after a previous success.
string
requerido
Cluster ID where the cloud storage resides. Returned when using cloud storage.
string
requerido
Log path for the endpoint.
integer
requerido
Total number of results.
Última modificación el 15 de mayo de 2026
⌘I